import request from '@/utils/request'

// 查询岗位列表
export function listPost(query) {
  return request({
    url: '/boman-web-core/ipTimes/list',
    method: 'get',
    params: query
  })
}

export function listlie(query) {
  return request({
    url: '/boman-web-core/ipTimes/' + query,
    method: 'get'
    // params: query
  })
}

// 查询岗位详细
export function getPost(id) {
  return request({
    url: '/boman-web-core/ipTimes/get/' + id,
    method: 'get'
  })
}

// 新增岗位
export function addPost(data) {
  return request({
    url: '/boman-web-core/ipTimes/saveOrUpdate',
    method: 'post',
    data: data
  })
}

// 新增岗位
export function appIdhu(data) {
  return request({
    url: '/boman-web-core/ipTimes/getKey',
    method: 'post',
    data: data
  })
}

// 修改岗位
export function updatePost(data) {
  return request({
    url: '/boman-web-core/ipTimes/saveOrUpdate',
    method: 'post',
    data: data
  })
}

// 删除岗位
export function delPost(data) {
  return request({
    url: '/boman-web-core/ipTimes/delete',
    method: 'post',
    data: data
  })
}
